Subject: Re: linux-next: manual merge of the rust-timekeeping tree with the drm-nova tree

From: Danilo Krummrich <[email-masked]>
Date: Tue, 24 Jun 2025 14:16:40 +0200

On Tue, Jun 24, 2025 at 09:03:48PM +0900, Alexandre Courbot wrote:
> On Tue Jun 24, 2025 at 8:48 PM JST, Andreas Hindborg wrote:
> > For the Nova people: You might consider if it makes sense to take a
> > `kernel::time::Delta<C>` for the timeout.
> 
> It probably does now that it is available. I'm willing to do it this
> cycle if we can find a way to not break the build. Should we have a tag
> to merge into nova-next or something?

I'm not sure about the generic in Delta mentioned by Andreas above, but the
Detla type did land in the last merge window, so it's available in the nova
tree already.

In case it would not have been, I wouldn't recommend doing signed tags for such
a minor thing. We should only do that when things are really getting into the
way.

- Danilo